module MyRAM_top(	
		input wire i_CLK24,
		input wire i_USER_L,		
		input wire i_UART_RX,		
		
		output wire [7:0] o_DATA0,		
		output wire [7:0] o_DATA1		
);		


wire [7:0] rx_byte;
wire rx_available;

serial_in #(
	.CLK_FREQUENCY_HZ (24_000_000),
	.SERIAL_BPS (115_200)
)UART0(
	.clk (i_CLK24),
	.reset (~i_USER_L),	
	.rx (i_UART_RX),	
	.data (rx_byte),	
	.oe (rx_available)
);

reg [11:0] wr_addra;
reg [11:0] wr_addrb;

MyRam testRAM(
	.clka (i_CLK24),
	.rsta (~i_USER_L),
	.addra (wr_addra),	
	.dia (rx_byte),	
	.doa (o_DATA0),
	.wea (rx_available),	
	
	.clkb (i_CLK24),	
	.rstb (~i_USER_L),	
	.addrb (wr_addrb),	
	.dib (rx_byte),	
	.dob (o_DATA1),	
	.ceb (1'b1),	
	.web (rx_available)	
);

always @(posedge i_CLK24)begin
	if (~i_USER_L) begin
		wr_addra <= 'd0;	
		wr_addrb <= 'd100;		
	end else		
		if (rx_available) begin	
			wr_addra = wr_addra + 'd1;		
			wr_addrb = wr_addrb + 'd2;			
		end			
end


endmodule
